# Benchmark experiments

This folder contains python scripts to run the experiments for different algorithms

* Baseline.py
* s_test.py
* w_test.py

You should note that running the scripts will quite some time

The results are stored to Results folder

# Running the scripts

1 - First start by downloading desired problem instance into separate folder

* Supertree: http://aspcomp2017.dibris.unige.it/index.php/benchmarks-suite-and-selection
* MaxSat: http://aspcomp2015.dibris.unige.it/benchmarks-suite-and-selection
* MarkovNL: http://aspcomp2015.dibris.unige.it/benchmarks-suite-and-selection
* Hamilton: http://aspcomp2017.dibris.unige.it/index.php/benchmarks-suite-and-selection
* Connected Still Life: http://aspcomp2015.dibris.unige.it/benchmarks-suite-and-selection
* BayesianNL: http://aspcomp2017.dibris.unige.it/index.php/benchmarks-suite-and-selection
* FastFood: https://dtai.cs.kuleuven.be/events/ASP-competition/Benchmarks/FastFood.shtml
    * Only description on how to generate instances

2 - Split the instances and main script into separate folders. Folders for the paper are already created. 

e.g.
- Supertree
    - instances 
        - instance1.lp
        - instance2.lp
        - ...
    - Main files
        - encoding.asp


3 - Append paths in the script.

e.g. in the file w_test.lp
main_files = ['Supertree/main_files/encoding.asp']
directorys = ['Supertree/instances']

4 - Run the test to desired number(s) k
 
The output is saved in path defiled by result_path

# Note:
 
* For each instance the first N instances (in size). The instances were cut down to N as differences between algorithms became clear by within these instances. 

