# Sampling experiments

This folder contains a python script to conduct ASEO sampling

Runs query and anti-query on a Bayes Network (BN)

The results are stored to Results folder

# Running the scripts

1 - Download BN

Download desired network (pick dsc-file), e.g. ones from paper

Win-95: https://www.bnlearn.com/bnrepository/discrete-large.html#win95pts
Andes: https://www.bnlearn.com/bnrepository/discrete-verylarge.html#andes

2 - Prepare the BN 

After which use parse_networks.ipynb notebook to convert the dsc-file into custom BN-class

3 - modify the experiment script

Append the desired network(s) to the list in experiment.py 

e.g. 
Line 21: for network, m, K in [("Networks/andes.pik", 10, 2000)]:

* network should match the saved path
* m of 10 is good choice for precision in most cases
* K should increase with the size of the network

4 - Run for desired number of experiments

You can use sample.ipynb in main forlder to explore the results

# Note:
 
* Running the script requires PyAgrum and clingo libraries
* Clingo will produce extra output while running the scripts

