# Experiments for ICLP 2021

This folder contains results we obtained during the runs as well as scripts that can be used to rerun the experiments

- - - -

### Contents of this folder:

This folder contains scripts to run the benchmarks and explore their results 

* ASPAlgorithms: Example implementations of the proposed algorithms
* Sampling: Special use case of the enumeration algorithms
* Benchmarks: General performance tests for the enumeration algorithms
    * Note separate python files for each algorithms
* Jupyter Notebooks: ASP and benchmark experiment outputs

- - - -

### Note:

* Some MaxSat Benchmark-instances were omitted due to space constraints
* Parts of result-files were parsed down to keep file size low

- - - -

### Dependencies:

requires.txt describes the required python dependencies
